#!/bin/sh

set -e

tzdir=/cygdrive/c/usr

pkgs_url='http://riksun.riken.go.jp/pub/pub/Linux/slackware/slackware-current/source/l/glibc'
code_tgz=tzcode2008h.tar.gz
data_tgz=tzdata2008h.tar.gz

code_md5=2f0fc8b1227bd7289483f64e8a194ed9
data_md5=599dba784de0a560ba1a5ba1fdbb2082

rm -fR tz/*
mkdir -p tz
pushd tz

for tgz in $code_tgz $data_tgz; do
    wget "$pkgs_url/$tgz"
done

cat <<EOF | md5sum -c
$code_md5 *$code_tgz
$data_md5 *$data_tgz
EOF

for tgz in $code_tgz $data_tgz; do
    gunzip -c $tgz | tar -xvf -
done

make TOPDIR=$tzdir install
$tzdir/etc/zdump America/New_York

popd
